Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(13)

Issue 2755073002: Update documentation for base::ResetAndReturn(Callback*) (Closed)

Created:
8 months ago by michaelpg
Modified:
8 months ago
Reviewers:
tzik
CC:
chromium-reviews, vmpstr+watch_chromium.org, Devlin
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Update documentation for base::ResetAndReturn(Callback*) Added the method to callback.md because it's helpful yet I hadn't discovered it (callback_helpers.h is a more obscure file than callback.h or bind_helpers.h) BUG=none R=tzik@chromium.org Review-Url: https://codereview.chromium.org/2755073002 Cr-Commit-Position: refs/heads/master@{#457939} Committed: https://chromium.googlesource.com/chromium/src/+/0f156e19b0a9f4de042283229d994eeca972e186

Patch Set 1 #

Total comments: 3

Patch Set 2 : return type #

Messages

Total messages: 10 (5 generated)
michaelpg
tzik: WDYT? https://codereview.chromium.org/2755073002/diff/1/base/callback_helpers.h File base/callback_helpers.h (right): https://codereview.chromium.org/2755073002/diff/1/base/callback_helpers.h#newcode11 base/callback_helpers.h:11: // move or copy) after the original ...
8 months ago (2017-03-17 03:55:00 UTC) #2
tzik
LGTM! Thanks! https://codereview.chromium.org/2755073002/diff/1/docs/callback.md File docs/callback.md (right): https://codereview.chromium.org/2755073002/diff/1/docs/callback.md#newcode161 docs/callback.md:161: Foo::RunCallback() { nit: void Foo::RunCallback() {
8 months ago (2017-03-17 14:01:06 UTC) #3
michaelpg
https://codereview.chromium.org/2755073002/diff/1/docs/callback.md File docs/callback.md (right): https://codereview.chromium.org/2755073002/diff/1/docs/callback.md#newcode161 docs/callback.md:161: Foo::RunCallback() { On 2017/03/17 14:01:06, tzik wrote: > nit: ...
8 months ago (2017-03-17 22:58:20 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2755073002/20001
8 months ago (2017-03-17 22:59:33 UTC) #7
commit-bot: I haz the power
8 months ago (2017-03-18 02:49:56 UTC) #10
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/0f156e19b0a9f4de042283229d99...

Powered by Google App Engine
This is Rietveld efc10ee0f